Runtime

## org.eclipse.gmf.runtime.emf.type.core.requests
Class ReorientRelationshipRequest

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.requests.AbstractEditCommandRequest
          org.eclipse.gmf.runtime.emf.type.core.requests.ReorientRequest
              org.eclipse.gmf.runtime.emf.type.core.requests.ReorientRelationshipRequest

All Implemented Interfaces:
  IEditCommandRequest

    public class ReorientRelationshipRequest

extends ReorientRequest

Request to change the source or target of a relationship element.

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.emf.type.core.requests.ReorientRequest
`REORIENT_SOURCE, REORIENT_TARGET`

Fields inherited from interface org.eclipse.gmf.runtime.emf.type.core.requests.IEditCommandRequest
`REPLACE_DEFAULT_COMMAND`

Constructor Summary
`ReorientRelationshipRequest(org.eclipse.emf.ecore.EObject relationship, org.eclipse.emf.ecore.EObject newRelationshipEnd, org.eclipse.emf.ecore.EObject oldRelationshipEnd, int direction)` Constructs a new request to change the source or target of a relationship element.
`ReorientRelationshipRequest(TransactionalEditingDomain editingDomain, org.eclipse.emf.ecore.EObject relationship, org.eclipse.emf.ecore.EObject newRelationshipEnd, org.eclipse.emf.ecore.EObject oldRelationshipEnd, int direction)` Constructs a new request to change the source or target of a relationship element.

Method Summary
`java.lang.Object` `getEditHelperContext()` Gets the edit helper context for this request.
`java.util.List` `getElementsToEdit()` Gets the elements that will be changed when the work is done for this request.
`org.eclipse.emf.ecore.EObject` `getRelationship()` Gets the relationship element.

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.requests.ReorientRequest
`getDefaultLabel, getDirection, getNewRelationshipEnd, getOldRelationshipEnd`

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.requests.AbstractEditCommandRequest
`addParameters, getClientContext, getEditingDomain, getLabel, getParameter, getParameters, setClientContext, setEditingDomain, setLabel, setParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReorientRelationshipRequest

    public ReorientRelationshipRequest(TransactionalEditingDomain editingDomain,
                                       org.eclipse.emf.ecore.EObject relationship,
                                       org.eclipse.emf.ecore.EObject newRelationshipEnd,
                                       org.eclipse.emf.ecore.EObject oldRelationshipEnd,
                                       int direction)

  Constructs a new request to change the source or target of a relationship element.

  Parameters:
    `editingDomain` - the editing domain in which I am requesting to make model
    `relationship` - the relationship element
    `newRelationshipEnd` - the new source or target
    `oldRelationshipEnd` - the old source or target
    `direction` - Indicates whether or not the source of the target of the relationship will be changed. One of `ReorientRequest.REORIENT_SOURCE` or `ReorientRequest.REORIENT_TARGET`.

### ReorientRelationshipRequest

    public ReorientRelationshipRequest(org.eclipse.emf.ecore.EObject relationship,
                                       org.eclipse.emf.ecore.EObject newRelationshipEnd,
                                       org.eclipse.emf.ecore.EObject oldRelationshipEnd,
                                       int direction)

  Constructs a new request to change the source or target of a relationship element. The editing domain will be derived from the `relationship`.

  Parameters:
    `relationship` - the relationship element
    `newRelationshipEnd` - the new source or target
    `oldRelationshipEnd` - the old source or target
    `direction` - Indicates whether or not the source of the target of the relationship will be changed. One of `ReorientRequest.REORIENT_SOURCE` or `ReorientRequest.REORIENT_TARGET`.

Method Detail

### getRelationship

    public org.eclipse.emf.ecore.EObject getRelationship()

  Gets the relationship element.

  Returns:
    the relationship element

### getElementsToEdit

    public java.util.List getElementsToEdit()

  Description copied from interface: `IEditCommandRequest`
  Gets the elements that will be changed when the work is done for this request.

  Specified by:
    `getElementsToEdit` in interface `IEditCommandRequest`
  Overrides:
    `getElementsToEdit` in class `AbstractEditCommandRequest`
  Returns:
    the elements that will be edited

### getEditHelperContext

    public java.lang.Object getEditHelperContext()

  Description copied from interface: `IEditCommandRequest`
  Gets the edit helper context for this request. The context can be an `IElementType` or an `EObject`, or an `IEditHelperContext`. It determines which edit helper should be used to find a command to do the work in the request.

  Returns:
    the edit helper context for this request

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.